button {
  margin: 0;
  padding: 0;
  color: inherit;
  font: inherit;
  background-color: transparent;
  border: none;
  outline: none;
}

.o-button {
  @include underline(
          $c-black,
      $height: 12%,
      $background-position: 100%,
      $padding-bottom: 1px,
      $transition: 'up',
      $max-up-height: 100%
  );

  position: relative;
  margin: 0;
  font-weight: $font-bold;
  font-size: 20px;
  text-align: center;
  outline: none;
  user-select: none;

  @include md-max {
    font-size: 18px;
  }

  @include sm-max {
    font-size: 16px;
  }
}

.o-button--bordered {
  position: relative;
  padding: 0 0.5rem 0.25rem;
  font-weight: 600;
  border: 4px solid $c-black;
  transition: color 150ms ease;

  @include md-max {
    border-width: 3px;
  }

  i {
    display: inline-block;
    margin-top: 0.4rem;
  }

  &::after {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    z-index: -1;
    width: 100%;
    height: 100%;
    background: $c-black;
    transform: scaleY(0);
    transform-origin: bottom center;
    transition: transform 150ms ease;
  }

  &:hover {
    color: $c-white;

    &::after {
      transform: scaleY(1);
    }
  }
}

.o-link--button {
  @include underline();

  font-weight: $font-bold;
  font-size: 20px;

  @include md-max {
    font-size: 18px;
  }

  @include sm-max {
    font-size: 16px;
  }
}

// Colors //-----------------------------------------------------------------
.c-body--black .o-button {
  @include underline(
          $c-white,
      $height: 12%,
      $background-position: 100%,
      $padding-bottom: 1px,
      $transition: 'up',
      $max-up-height: 100%
  );
}

.c-body--black .o-link--button {
  @include underline($c-white);
}

.c-body--black .o-button--bordered {
  border-color: $c-white;

  &::after {
    background-color: $c-white;
  }

  &:hover {
    color: $c-black;
  }
}
